/* 
This header file includes several methods that are used across multiple modules. 
These include reading/writing to/from files and several time commands. 
To avoid code reuse, they have been centralized here.
*/

#ifndef COMMON_H
#define COMMON_H

typedef enum xPut {
    in,
    out
} xPut;

long long getTimeInMs(void);
long long getTimeInNs(void);
void sleepForMs(long long delayInMs);
void runCommand(char* command);
void writeToFile(char* fileName, char* msgToWrite);
int readFromFile(char* fileName);
void initializeGPIoPin(unsigned busNumber, unsigned bbgPinNumber, unsigned linuxFilePinNumber, xPut inOrOut);

#endif 